#include <QMessageBox>
#include <QFileDialog>
#include <QInputDialog>
#include <QDebug>
#include <QTimer>
#include "help_window.h"
#include "ui_help_window.h"
#include <markdown.h>


HelpWindow::HelpWindow(): QWidget() {
	ui = new Ui::HelpWindow();
	ui->setupUi(this);
	QFile f(":/doc/content/packets.md");
	f.open(QIODevice::ReadOnly);
	QString html = md2html(f.readAll());
	ui->textBrowser->setHtml(html);
	//qDebug() << html;
}


HelpWindow::~HelpWindow() {
	delete ui;
}
